{
	"format_version": "1.8.0",
	"render_controllers": {
		"controller.render.shapescape_mb.frog_boss.main": {
			"geometry": "geometry.default",
			"arrays": {
				"textures": {
					"array.skin": ["texture.frog_boss_off", "texture.frog_boss"]
				}
			},
			"materials": [
				{
					"*": "material.default"
				}
			],
			"part_visibility": [
				{
					"*": true
				}
			],
			"textures": [
				"array.skin[q.property('shapescape_mb:is_protected_by_totem')]"
			],
			"is_hurt_color": {
				"a": "q.property('shapescape_mb:is_protected_by_totem') ? 0 : 0.6",
				"r": 1.0,
				"g": 0.0,
				"b": 0.0
			},
			"overlay_color": {
				"a": "math.clamp(math.lerp(1, 0, q.life_time), 0, 1)",
				"r": "0",
				"g": "0",
				"b": "0"
			}
		}
	}
}
